controllers/CitaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Cita;
use app\models\CitaSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

use kartik\mpdf\Pdf;

$citas=Cita::find()->all();

/**
 * CitaController implements the CRUD actions for Cita model.
 */
class CitaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Cita models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new CitaSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	public function actionIndexpdf()
    {
		return $this->render('indexpdf');
    }
	
	public function actionIndexpdf2()
    {
		return $this->render('indexpdf2');
    }

	public function actionIndexpdf3()
    {
		return $this->render('indexpdf3');
    }
    /**
     * Displays a single Cita model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
	
	public function actionViewpdf($id)
    {
        return $this->render('viewpdf', [
            'model' => $this->findModel($id),
        ]);
		
    }
    /**
     * Creates a new Cita model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
		$session = Yii::$app->session;
		$citas=Cita::find()->all();
        $model = new Cita();
		$model->cit_fecha_creac=date('Y-m-d');
		$model->id=Yii::$app->user->identity->id;
		$model->cit_estado='Pendiente';
       
		if ($model->load(Yii::$app->request->post()) && $model->save()) {
			$model->cit_del=$model->cit_fecha.$model->cit_hora;
			$model->save();
			
			for($i=0;$i<sizeof($citas);$i++){
				if($model->cit_del==$citas[$i]->cit_del){
					$session->set('hay_cit',1);
					$this->findModel($model->cit_codigo)->delete();
					return $this->render('create', [
						'model' => $model,
					]);
				}
			}
			

			
            return $this->redirect(['/cita/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }
	
	 public function actionList()
    {
        return $this->render('list');
    }

    /**
     * Updates an existing Cita model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/cita/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Cita model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Cita model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Cita the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Cita::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
	
	public function actionMpdfDemo1() {
    $pdf = new Pdf([
        'mode' => Pdf::MODE_CORE, // leaner size using standard fonts
        'content' => $this->renderPartial('privacy'),
        'options' => [
            'title' => 'Privacy Policy - Krajee.com',
            'subject' => 'Generating PDF files via yii2-mpdf extension has never been easy'
        ],
        'methods' => [
            'SetHeader' => ['Generated By: Krajee Pdf Component||Generated On: ' . date("r")],
            'SetFooter' => ['|Page {PAGENO}|'],
        ]
    ]);
    return $pdf->render();
}
}

controllers/PacienteController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Paciente;
use app\models\PacienteSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\bootstrap\Alert;
use Mpdf\Mpdf;
use kartik\mpdf\Pdf;
/**
 * PacienteController implements the CRUD actions for Paciente model.
 */
class PacienteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Paciente models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new PacienteSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	public function actionIndexpdf()
    {
        $searchModel = new PacienteSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('indexpdf', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	

    /**
     * Displays a single Paciente model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
    public function actionViewpdf($id)
    {
        return $this->render('viewpdf', [
            'model' => $this->findModel($id),
        ]);
		
    }
	
	public function actionViewpdf2($id)
    {
        return $this->render('viewpdf2', [
            'model' => $this->findModel($id),
        ]);
		
    }
    /**
     * Creates a new Paciente model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
	 
	  public function actionList()
    {
        return $this->render('list');
    }
	
    public function actionCreate()
    {
        $model = new Paciente();
		$model->pac_del=0;
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
			if(!$model->pac_del){
			$model->pac_nombre_resp=$model->pac_nombre;
			$model->save();	
			}
            return $this->redirect(['/cita/create/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Paciente model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/paciente/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Paciente model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Paciente model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Paciente the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Paciente::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/UsuarioController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Usuario;
use app\models\UsuarioSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * UsuarioController implements the CRUD actions for Usuario model.
 */
class UsuarioController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Usuario models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new UsuarioSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Usuario model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Usuario model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Usuario();
		$model->usu_del=0;
		$model->authKey='a';
		$model->accessToken='a';
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
			$model->authKey=$model->username;
			$model->accessToken=$model->username;
			$model->save();
            return $this->redirect(['/usuario/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
		
    }

	  public function actionModificate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/site/']);
        }

        return $this->render('modificate', [
            'model' => $model,
        ]);
    }
	
	
    /**
     * Updates an existing Usuario model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/usuario/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Usuario model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Usuario model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Usuario the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Usuario::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/VacunaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Vacuna;
use app\models\VacunaSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * VacunaController implements the CRUD actions for Vacuna model.
 */
class VacunaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Vacuna models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new VacunaSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }
	
	public function actionIndexpdf()
    {
        $searchModel = new VacunaSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('indexpdf', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Vacuna model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Vacuna model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
	 
	   public function actionList()
    {
        return $this->render('list');
    }
	
	
    public function actionCreate()
    {
        $model = new Vacuna();
		$model->vac_del=0;
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/vacuna/']);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Vacuna model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['/vacuna/']);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Vacuna model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Vacuna model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Vacuna the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Vacuna::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

use yii\helpers\Html;
use app\models\Usuario;



/* @var $this yii\web\View yyfvgbuhnjm*/


$this->title = 'Vacunatorio';
if(Yii::$app->user->isGuest){
  if (!empty($_SERVER['HTTPS']) && ('on' == $_SERVER['HTTPS'])) {
		$uri = 'https://';
	} else {
		$uri = 'http://';
	}
	$uri .= $_SERVER['HTTP_HOST'];
	header('Location: '.$uri.'/vacunatorio/web/index.php/site/login');
	exit; 
	}
	$session = Yii::$app->session;
	$session->set('pacient',0);
	$session->set('vacuna',0);
	$session->set('cita',0);
	$session->set('hay_cit',0);
	$session->set('user',0);
 
?>

<div class="site-index" >
</br>
</br>
</br>
<?php 




if(Yii::$app->user->identity->usu_tipo=='Administrador/a'){
	$u=true;
}else{
	$u=false;
}
?>
<div class="col-sm-3">
<img src="/Vacunatorio/web/images/vacuna.svg" style="padding-bottom: 15px">
<?= Html::a('Ingresar Vacuna', ['/vacuna/create'],['class'=>'btn btn-primary','style'=>'display: block']) ?>
<?= Html::a('Ver Vacunas', ['/vacuna/'],['class'=>'btn btn-primary','style'=>'display: block; ']) ?>
</div>
<div class="col-sm-3">
<img src="/Vacunatorio/web/images/paciente.svg" style="padding-bottom: 15px">
<?= Html::a('Ingresar Paciente', ['/paciente/create'],[''=>'','class'=>'btn btn-primary','style'=>'display: block']) ?>
<?= Html::a('Ver Pacientes', ['/paciente/'],['class'=>'btn btn-primary','style'=>'display: block']) ?>
</div>
<div class="col-sm-3">
<img src="/Vacunatorio/web/images/cita.svg" style="padding-bottom: 15px">
<?= Html::a('Ingresar Cita', ['/cita/create'],[''=>'','class'=>'btn btn-primary','style'=>'display: block']) ?>
<?= Html::a('Ver Citas', ['/cita/'],['class'=>'btn btn-primary','style'=>'display: block']) ?>
</div>
<div class="col-sm-3">
<img src="/Vacunatorio/web/images/usuario.svg" style="padding-bottom: 15px">
<?php if($u){ ?>
<?= Html::a('Crear Usuario', ['/usuario/create'],[''=>'','class'=>'btn btn-primary','style'=>'display: block']) ?>
<?= Html::a('Ver Usuarios', ['/usuario/'],['class'=>'btn btn-primary','style'=>'display: block']) ?>
<?php } ?>
<?= Html::a('Editar Mi Perfil', ['/usuario/modificate/'.Yii::$app->user->identity->id],['class'=>'btn btn-primary','style'=>'display: block']) ?>
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Vacunatorio';

?>

	
    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal'
    ]); ?>
	
	
	<html lang="en">
	<head>

        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        
        <!-- CSS -->
		
        <link rel="stylesheet" href="/Vacunatorio/web/form-1/assets/bootstrap/css/bootstrap.min.css">
        <link rel="stylesheet" href="/Vacunatorio/web/form-1/assets/font-awesome/css/font-awesome.min.css">
		<link rel="stylesheet" href="/Vacunatorio/web/form-1/assets/css/form-elements.css">
        <link rel="stylesheet" href="/Vacunatorio/web/form-1/assets/css/style.css">
    </head>


	<body >

        <!-- Top content -->
        <div class="top-content">
        	
            <div class="inner-bg">
                  <div class="container" >
                    <div class="row" >
                        <div style="color:black;" >
                            <h1><strong>Vacunatorio</strong></h1>
                            <div style="color:black;" >
                            	<h3>
	                            	Bienvenido al Sistema de Apoyo a Vacunatorio.
                            	</h3>
                            </div>
                        </div>
                    </div>
                      <div class="row" >
                        <div class="col-sm-6 col-sm-offset-3 form-box">
                        	<div class="form-top">
                        		<div class="form-top-left">
                        			<h3 align="center">Inicio de sesión</h3>
                            		<p>Ingrese su nombre de usuario y contraseña.</p>
                        		</div>
                        		<div class="form-top-right">
                        			<i class="fa fa-key"></i>
                        		</div>
                            </div>
                            <div class="form-bottom">
			                    <form role="form" action="" method="post" class="login-form">
			                    	<div class="form-group">
			                    		<label class="sr-only" for="form-username">Username</label>
			                        	<?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>
			                        </div>
			                        <div class="form-group">
			                        	<label class="sr-only" for="form-password">Password</label>
			                        	<?= $form->field($model, 'password')->passwordInput() ?>
			                        </div>
			                        <?= Html::submitButton('Iniciar Sesión', ['class' => 'btn btn-primary col-lg-3', 'name' => 'login-button']) ?>
									 <?php ActiveForm::end(); ?>
			                    </form>
		                    </div>
                        </div>
                    </div>
					

                </div>
					
            </div>
            
        </div>

	
        <!-- Javascript -->
        <script src="/Vacunatorio/web/form-1/assets/js/jquery-1.11.1.min.js"></script>
        <script src="/Vacunatorio/web/form-1/assets/bootstrap/js/bootstrap.min.js"></script>
        <script src="/Vacunatorio/web/form-1/assets/js/jquery.backstretch.min.js"></script>
        <script src="/Vacunatorio/web/form-1/assets/js/scripts.js"></script>
        
    </body>
	
</html>			